<?php // Include only
if (!defined ('BOOT')) exit ('No bootstrap.  Exiting.');

/*
Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.6.0 (5.6.0 compatible) - Last modified 6/22/2007

NOTE: this file is not officially part of OekakiPoteto 5.x.
*/


//
// Debug
//
{
	// Debug only
	$debug       = FALSE;
	$wactest     = TRUE; // Beta testers only!
}


//
// General
//
{
	// Disables banning
	// (0-1) 0=Use ban list, 1=Ignore ban list
	define ('BAN_OVERRIDE', 0);

	// Enable thumbnails on comment screen
	// (0-1) 0=Use pictures, 1=Use thumbnails
	define ('THUMB_COMMENT', 0);

	// Disable applet-native JPEG support.
	// Does not prevent JPEG retouch (saved as PNGs) or JPEG uploads
	// (0-1) 0=Save normally, 1=Save only PNGs
	define ('APPLET_NO_JPEG', 0);

	// Disable approximation of applet size, and use CSS
	// May cause some browsers (exp. Mac) to crash!
	// (0-1) 0=Use hack, 1=Disable, use CSS
	define ('DISABLE_APPLET_AREA_HACK', 0);

	// Reduces e-mail on servers that record traffic, looking for spam
	// (0-1) 0=Off, 1=Reduced e-mail (auto registration), 2=No e-mail
	define ('CUT_EMAIL', 0);

	// Disable error reporting for server e-mail (fixes PHP limitation)
	// (0=normal, 1=disabled)
	define ('DISABLE_EMAIL_CONFIRMATION', 0);

	// Date formats
	$datef['post_header'] = 'l, F jS Y, g:i A';
	$datef['admin_edit']  = 'F j, Y, g:i a';
	$datef['chat']        = 'H:i';
}


//
// Security
//
{
	// Disallows admins from adding PHP to notice, banner, and rules
	// (0-1) 0=Normal, 1=Disable PHP
	define ('DISABLE_PHP_RESOURCE', 0);

	// Disable DNS host traces.  Drasticly improves performance on
	// some servers.  Try this if you are getting 5-10 second delays
	// for page views.  If disabled, all hosts will be IP address.
	// (0-1) 0=Normal, 1=Disable host traces
	define ('DISABLE_DNS_HOST_LOOKUP', 0);
}


//
// Anti-spam
//
{
	// Max number of links allowed by guests.
	// (0-number) 2=Default, 0=Disable guest links
	define ('MAX_GUEST_LINKS', 2);
}


//
// Cookies
//
{
	/*
	Set this to allow multiple boards to share one cookie, as OP does not natively support multiple boards.

	LEAVE THIS BLANK IF USING A SINGLE BOARD OR IF YOU'RE NOT SURE WHAT TO PUT IN!

	If set to anything other than <blank>, the online list will show which board a member is viewing.

	This hack requires a root-based path.  '/' means the root of the server, so '/folder' is the same as 'http://www.server.com/folder'.  'folder' may do something like 'http://www.server.com/account/oekaki/folder', and won't work.

	NOTE:  Don't use 'http://' or other direct URLs -- many web browsers will flag these cookies as spyware.
	*/

	// PATH
	{
		// Failsafe, or disable (default)
		$cookie_path = '';

		// For the whole server (be careful!) or subdomain (OK).
		// $cookie_path = '/';

		// Shared server that uses accounts (not subdomains).  Folders are CaSe SeNsItIvE!
		// $cookie_path = '/AccountName/';
	}

	// DOMAIN
	{
		// Failsafe, or disable (default)
		$cookie_domain = '';

		// For every subdomain.  Keep the period at the front for maximum compatibility.
		// $cookie_domain = '.myserver.com';
	}
}


//
// index.php
//
{
	// Put silly prefixes on member names!
	// Example: 'Super ' = 'Super Waccoon'
	$stupid_name  = '';
	$stupid_guest = '';
}


//
// SMILIES
// WARNING:  Do not use ':/' as a smiley, or URLs will not work
//
{
	define ('USE_SMILE_HACK', 0); // (0-1) 1=Use these smilies

	if (USE_SMILE_HACK == 0) {
		$smilies_temp = array (
			':)'     => 'smile.gif',
			':|'     => 'neutral.gif',
			':('     => 'sad.gif',
			':D'     => 'big_smile.gif',
			'>:)' => 'smirk.gif',
			'>:D' => 'evil_smile.gif',
			':sneaky:'   => 'sneaky.gif',
			':o'     => 'yikes.gif',
			';)'     => 'wink.gif',
			':/'     => 'hmm.gif',
			':P'     => 'tongue.gif',
			':lol:'      => 'lol.gif',
			':mad:'      => 'mad.gif',
			':rolleyes:' => 'rolleyes.gif',
			':cool:'     => 'cool.gif',
			':duh:'      => 'duh.gif',
			':blush:'    => 'blush.gif',
			':cry:'      => 'cry.gif',
			':boohoo:'   => 'boohoo.gif',
			':crazy:'    => 'crazy.gif',
			':what:'     => 'what.gif',
			':gamer:'    => 'gamer.gif',
			':barf:'     => 'barf.gif' // No comma on last entry
		);

		$smilies_group = array();
		foreach ($smilies_temp as $s_in => $s_out) {
			$smilies_group[htmlspecialchars ($s_in)] = $s_out;
		}
		unset ($smilies_temp);
	}
}

?>